body {
    /* Modern Font */
    font-family: 'Segoe UI', Tahoma, Geneva, Verdana, sans-serif;
    background-color: #f5f5f5;
}

#planning-container, #save-container {
    width: 85%;
    margin: 0 auto;
    padding: 35px;
    background-color: white;
    border-radius: 10px;
}

#save-container {
    margin-top: 20px;
    display: none;
    margin-bottom: 20px;
}	

h1 {
    text-align: center;
    font-size: 38px;
    margin-top: 25px;
    margin-bottom: 35px;
}
.lernbereich, .subtask {
    margin: 20px 0;
    padding: 20px;
    background-color: #f5f5f5;
    display: flex;
    align-items: center;
}
.lernbereich {
    border-radius: 5px;
    margin: 20px 0;
}

input[type="date"] {
    margin-left: 5px;
    margin-right: 5px;
}

.subtask {
    border: 2px solid #ccc;
    border-radius: 5px;
}

/* Modal styles */
#modal {
    display: none; 
    position: fixed; 
    z-index: 1; 
    left: 0;
    top: 0;
    width: 100%; 
    height: 100%; 
    overflow: auto; 
    background-color: rgb(0,0,0); 
    background-color: rgba(0,0,0,0.4); 
}

.modal-content {
    background-color: #fefefe;
    margin: 15% auto; 
    padding: 20px;
    border: 1px solid #888;
    width: 80%; 
    position: relative;
}

.close {
    color: #aaa;
    float: right;
    font-size: 28px;
    font-weight: bold;
}

.close:hover,
.close:focus {
    color: black;
    text-decoration: none;
    cursor: pointer;
}

button {
    margin: 5px;
    padding: 10px 15px;
    cursor: pointer;
    border: none;
    background-color: #4c90af;
    color: white;
    border-radius: 5px;
}

select {
    padding: 7px 15px;
    margin: 5px;
}


img {
    width: 50px;
    height: 50px;
    margin-bottom: 10px;
}

.image_wrapper{
    width: 50px;
    height: 50px;
    margin-bottom: 10px;
    display: flex;
    justify-content: center;
    align-items: center;
}

.image_wrapper img{
    height: auto;
    width: auto;
    max-width: 50px;
    max-height: 50px;
}

.draggable {
    cursor: move;
}

.subtasks-container{
    flex: 1 1;
}
.add-subtask {
    width: 100%;
    background-color: #4c90af;
    color: white;
    border: none;
    padding: 1px;
    text-align: center;
    cursor: pointer;
    font-size: 20px;
    margin: 0;
    /* margin-top: 0px; */
    display: inline-block;
    flex: 0 0;
}

.subtasks-container-wrapper{
    flex: 1 1;
    display: flex;
    margin-left: 20px;
    flex-direction: column;
}

.delete-lernbereich, .delete-subtask {
    background-color: white;
    color: red;
    border: none;
    padding: 0px;
    cursor: pointer;
    font-weight: bold;
    font-size: 12px;
    width: 16px;
    position: relative;
    height: 16px;
    top: 12px;
    left: 25px;
}

.subtask-content{
    display: flex;
    justify-content: center;
    align-items: center;
    flex: 1;
}

.checkbox-wrapper{
    display: flex;
    align-items: center;
    flex-direction: column;
    flex: 0 0 90px;
    font-size: 12px;
}

.description-wrapper{
    flex: 1;
    display: flex;
}

.description {
    width: 100%;
    margin: 10px 10px 10px 20px;
    resize: vertical;
    height: 85px;
    padding: 15px;
    font-size: 16px;
    flex: 1 1;
    border: unset;
}


.image_block {
    display: flex;
    align-items: center;
    flex-direction: column;
    justify-content: center;
    flex: 0 0 120px;
}

.draggable-indicator {
    width: 10px;
    height: 10px;
    background-color: #ccc;
    margin-right: 10px;
    display: flex;
    flex-direction: column;
    justify-content: space-between;
    flex: 0 0 10px;
}

.draggable-indicator div {
    width: 100%;
    height: 2px;
    background-color: gray;
}

/* Modal styles */
.modal {
    display: none; 
    position: fixed; 
    z-index: 1; 
    left: 0;
    top: 0;
    width: 100%; 
    height: 100%; 
    overflow: auto; 
    background-color: rgb(0,0,0); 
    background-color: rgba(0,0,0,0.4); 
}

.modal-content {
    background-color: #fefefe;
    margin: 5% auto; 
    padding: 20px;
    border: 1px solid #888;
    width: 80%; 
    position: relative;
}

.close {
    color: #aaa;
    float: right;
    font-size: 28px;
    font-weight: bold;
}

.close:hover,
.close:focus {
    color: black;
    text-decoration: none;
    cursor: pointer;
}

/* Plan styles */
#modal-main h1 {
    font-size: 34px;
    text-align: left;
}

#modal-main h2 {
    font-size: 24px;
    text-align: left;
}

#modal-main .name-box {
    position: absolute;
    top: 20px;
    right: 20px;
    border: 1px solid #000;
    padding: 30px 20px;
    background-color: #f9f9f9;
    width: 45vw;
}

#modal-main table {
    width: 100%;
    border-collapse: collapse;
    margin-top: 20px;
}

#modal-main th, #modal-main td {
    border: 1px solid #000;
    padding: 0px 5px;
    text-align: left;
    vertical-align: top;
}

#modal-main th {
    background-color: #f2f2f2;
    text-align: center; /* Center the table headers */
}

#modal-main .th_lernbereich,
#modal-main .td_lernbereich {
    width: 50px; /* Set the width of the first column */
    min-width: 50px;
    vertical-align: middle;
}

#modal-main .th_subtask,
#modal-main .td_subtask {
    width: 180px; /* Set the width of the second column */
    min-width: 180px;
    vertical-align: middle;
}
#modal-main .th_description,
#modal-main .td_description {
    width: calc(100% - 430px);
    max-width: calc(100% - 430px);
    /*text overflow should wrap to next line*/
    white-space: pre-wrap;
    vertical-align: middle;

}

#modal-main .th_fertig,
#modal-main .td_fertig {
    width: 240px; /* Set the width of the second column */
    min-width: 240px;
    vertical-align: middle;
}

#modal-main .td_fertig img {
margin: 0;
  margin-left: 5px;
  margin-right: 5px;
}

#modal-main .image_box {
    display: flex;
    align-items: center;
    margin-bottom: 10px;
    flex-direction: row;
    margin-top: 10px;

}

#modal-main .image_box img {
    width: 40px;
    height: 40px;
    margin-right: 10px;
    margin-left: 5px;
    margin-bottom: 0px;
}
#modal-main .image_box p {
    margin-top: 5px;
    margin-bottom: 5px;
    text-align: center;
    flex-grow: 1;
}

.td_lernbereich .image_box{
    justify-content: center;
    width: 75px;
}

#modal-main .star {
    width: 40px;
    height: 40px;
    margin-right: 5px;
    margin-top: 10px;
}

.star_wrapper {
    display: flex;
    align-items: center;
}

#modal-main .aufgabe {
    text-align: left;
    margin: 0;
    padding-left: 10px;
}

#modal-main .aufgabe img {
    margin-right: 15px;
}

#modal-main .fertig img {
    width: 20px;
    height: 20px;
}
#modal-footer{
    margin-top: 35px;
    border-top: 2px solid #ccc;
    padding-top: 15px;
    text-align: center;
}

#modal.modal-fullscreen {
    overflow-x: hidden;
}

#modal.modal-fullscreen .modal-content{
    width: calc(100vw - 100px);
    margin: 0;
    padding: 50px;
    border: 0;
    overflow-x: hidden;
}

#modal.modal-fullscreen #modal-footer{
    display: none;
}
#modal.modal-fullscreen h1{
    font-size: 32px;
}

#modal.modal-fullscreen .name-box {
    position: absolute;
    top: 40px;
    right: 50px;
    border: 1px solid #000;
    padding: 30px 20px;
    background-color: #f9f9f9;
    width: 45vw;
}

#modal.modal-fullscreen img {
    width: 35px !important;
    height: 35px !important;
}

#modal.modal-fullscreen th{
    font-size: 13px;
}

#modal.modal-fullscreen .image_box p{
    font-size: 12px;
    margin-top: 10px;
}

#modal.modal-fullscreen  .th_lernbereich,
#modal.modal-fullscreen .td_lernbereich {
    width: 70px; /* Set the width of the first column */
    min-width: 70px;
    vertical-align: middle;
    text-align: center;
}

#modal.modal-fullscreen  .th_subtask,
#modal.modal-fullscreen  .td_subtask {
    width: 70px; /* Set the width of the second column */
    min-width: 70px;
    text-align: center;
}
#modal.modal-fullscreen  .th_description,
#modal.modal-fullscreen  .td_description {
    /*text overflow should wrap to next line*/
    white-space: pre-wrap;
    vertical-align: middle;

}

#modal.modal-fullscreen  .th_fertig,
#modal.modal-fullscreen  .td_fertig {
    width: 180px; /* Set the width of the second column */
    min-width: 180px;
    vertical-align: middle;
}


#modal.modal-fullscreen .td_lernbereich img{
    width: 45px  !important; /* Set the width of the first column */
    height: 45px !important;
}
#modal.modal-fullscreen .td_subtask img{
    width: 45px  !important; /* Set the width of the first column */
    height: 45px !important;
}

#title-container{
    margin-bottom: 15px;
}

#title-container label{
    color: #7b7979;
    display: block;
}

#title-container input{
    padding: 15px 9px 5px 9px;
    font-size: 18px;
    border: unset;
    border-bottom: 1px solid #cbcbcb;
    outline: unset !important;
}

.toolbar {
    margin-bottom: 5px;
}

.toolbar button {
    background: none;
    border: none;
    cursor: pointer;
    font-size: 16px;
    margin-right: 5px;
}

.toolbar button:hover {
    background-color: #ddd;
}

.description {
    text-align: left;
    border: 1px solid #ccc;
    padding: 5px;
    min-height: 50px;
    outline: none;
    background-color: white;
    position: relative;
    padding: 10px 15px;
}

.bold-button {
    position: absolute;
    top: 5px;
    right: 5px;
    background: none;
    border: none;
    cursor: pointer;
    font-size: 16px;
}

.bold-button.active {
    background-color: #ddd;
}

